<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { getPageMetadata } from '~/common/meta';
import FeaturesTemplate from '~/components/features/templates/features-template.vue';

export default Vue.extend({
  components: {
    FeaturesTemplate,
  },
  nuxtI18n: false,
  async asyncData({ $content, params }) {
    try {
      return {
        feature: await $content('/en-us/features', params.slug)
          .where({ slug: { $not: { $contains: ['features-partial'] } } })
          .fetch(),
      };
    } catch (e) {
      throw new Error(e);
    }
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).feature, this.$route.path);
  },
});
</script>

<template>
  <features-template v-if="feature.template === 'feature'" :page="feature" />
</template>
